@import './mixins';

$h1-max-size: 66px;
$h1-min-size: 35px;

$h2-max-size: 35px;
$h2-min-size: 19px;

$h3-max-size: 25px;
$h3-min-size: 19px;

$p-max-size: 20px;
$p-min-size: 17px;

h1,
h2,
h3,
h4,
h5,
h6,
p {
  color: $color-text;
}

@mixin h1 {
  @include capitalize;
  font-size: clamp($h1-min-size, 5vw, $h1-max-size);
  font-family: 'Codystar';
  font-weight: 600;
  margin-bottom: $margin / 1.5;
}
@mixin h2 {
  @include capitalize;
  font-size: clamp($h2-min-size, 3vw, $h2-max-size);
  font-family: 'SourceSansPro';
  color: $color-accent1;
  font-weight: 400;
  margin-bottom: $margin / 1.2;
}
@mixin h3 {
  @include capitalize;
  font-size: clamp($h3-min-size, 2.5vw, $h3-max-size);
  font-family: 'TitilliumWeb';
  font-weight: 400;
  margin-bottom: $margin / 1.2;
}
@mixin p {
  font-size: clamp($p-min-size, 2vw, $p-max-size);
  font-family: 'TitilliumWeb';
  font-weight: 400;
}

h1 {
  @include h1;
}

h2 {
  @include h2;
}

h3 {
  @include h3;
}

p {
  @include p;
}
